commit f30fce8928cacd3b3ce4b5961d7d74862d1d8bcb
Author: ANightly <anightlya>
Date:   Thu Jan 9 03:58:34 2025 +0200

    Fix Linking

diff --git a/CMakeLists.txt b/CMakeLists.txt
index e3d91c0e..c9b69f97 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -386,6 +386,7 @@ target_include_directories (sndfile
 	)
 target_link_libraries (sndfile
 	PRIVATE
+	    shlwapi
 		$<$<BOOL:${LIBM_REQUIRED}>:m>
 		$<$<BOOL:${HAVE_EXTERNAL_XIPH_LIBS}>:Ogg::ogg>
 		$<$<BOOL:${HAVE_EXTERNAL_XIPH_LIBS}>:Vorbis::vorbisenc>
@@ -522,7 +523,9 @@ if (BUILD_SHARED_LIBS)
 			endif()
 		endif()
 	endif()
-
+else ()
+	target_compile_definitions(sndfile
+    PUBLIC  $<$<BOOL:${HAVE_EXTERNAL_XIPH_LIBS}>:FLAC__NO_DLL>)	
 endif ()
 
 #
